package dev.pfaff.altargui.debug;

public interface Profiler {
	Nop NOP = new Nop();

	void push(String name);
	void pop();

	default void replace(String name) {
		pop();
		push(name);
	}

	boolean isEventEnabled(Class<? extends Event> eventClass);

	void pushEvent(Event event);
	void popEvent();

	final class Nop implements Profiler {
		private Nop() {}

		@Override
		public void push(String name) {
		}

		@Override
		public void pop() {
		}

		@Override
		public void replace(String name) {
		}

		@Override
		public boolean isEventEnabled(Class<? extends Event> eventClass) {
			return false;
		}

		@Override
		public void pushEvent(Event event) {
		}

		@Override
		public void popEvent() {
		}
	}
}
