package dev.pfaff.altargui.internal.util;

import java.lang.annotation.*;

/**
 * <p>
 * Indicates that the annotated method <strong>should</strong> be overridden by all subclasses, even if they just
 * call the {@code super} method.
 * <p>
 * This can encourage the JVM to specialize each subclass's implementation of the annotated method method.
 */
@Retention(RetentionPolicy.SOURCE)
@Target(ElementType.METHOD)
public @interface Specialize {
}
