package dev.pfaff.altargui.texture;

import dev.pfaff.altargui.libimage.ImageData;

public record ImageDataLoadableTexture(ImageData imageData) implements LoadableTexture {
	public ImageDataLoadableTexture {
		if (!imageData.pixels().isReadOnly()) {
			throw new IllegalArgumentException("Image data must be read-only");
		}
	}

	@Override
	public ImageData load() {
		return this.imageData;
	}
}
